Bug 225009 - www/rubygem-scrapi: update to 2.0.0
Summary: www/rubygem-scrapi: update to 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-08 18:01 UTC by Steve Wills
Modified: 2018-01-12 14:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (don)


Attachments
patch to update www/rubygem-scrapi to 2.0.0 (1.01 KB, patch)
2018-01-08 18:01 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2018-01-08 18:01:25 UTC
Created attachment 189532 [details]
patch to update www/rubygem-scrapi to 2.0.0

Please see attached patch. Note that textproc/rubygem-tidy_ffi has been created so this should be OK, but does need testing and confirmation that the port is still useful given that it seems to no longer be maintained upstream. (If you use it, you may considering taking over maintenance upstream, the original developer is looking for a new maintainer.)
Comment 1 don 2018-01-10 13:57:30 UTC
(In reply to Steve Wills from comment #0)
Thank you for the patch.
I accept this patch.

And, unfortunately, I have not used this gem recently...
Comment 2 Steve Wills freebsd_committer 2018-01-10 15:20:09 UTC
Since you don't use it and it's not maintained upstream, I propose we instead mark it DEPRECATED and set an EXPIRATION_DATE. What do you think?
Comment 3 don 2018-01-10 16:25:42 UTC
(In reply to Steve Wills from comment #2)
I approve with your proposal.
Comment 4 commit-hook freebsd_committer 2018-01-10 17:15:33 UTC
A commit references this bug:

Author: swills
Date: Wed Jan 10 17:15:10 UTC 2018
New revision: 458662
URL: https://svnweb.freebsd.org/changeset/ports/458662

Log:
  www/rubygem-scrapi: Mark deprecated

  No longer maintained upstream

  PR:		225009
  Approved by:	don@na.rim.or.jp (maintainer)

Changes:
  head/www/rubygem-scrapi/Makefile
Comment 5 Steve Wills freebsd_committer 2018-01-10 17:17:05 UTC
Done. Perhaps textproc/rubygem-tidy should go as well. Do you agree? Are there any others that should go?
Comment 6 don 2018-01-11 03:12:02 UTC
(In reply to Steve Wills from comment #5)
Yes, I agree.
Comment 7 commit-hook freebsd_committer 2018-01-12 14:53:25 UTC
A commit references this bug:

Author: swills
Date: Fri Jan 12 14:53:16 UTC 2018
New revision: 458852
URL: https://svnweb.freebsd.org/changeset/ports/458852

Log:
  textproc/rubygem-tidy: mark deprecated

  PR:		225009
  Approved by:	don@na.rim.or.jp (maintainer)

Changes:
  head/textproc/rubygem-tidy/Makefile
Comment 8 Steve Wills freebsd_committer 2018-01-12 14:54:27 UTC
Committed, thanks!